"""Cuotas2 Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class Cuotas2Response(BaseModel):
    """Cuotas compensatorias"""

    FRACCION: Optional[str] = Field(None, max_length=10)
    PRODUCTO: Optional[str] = Field(None, max_length=300)
    PAIS: Optional[str] = Field(None, max_length=3)
    DOF: Optional[str] = Field(None, max_length=8)
    DOF2: Optional[str] = Field(None, max_length=149)
    EMPRESA: Optional[str] = Field(None, max_length=100)
    INCOTERM: Optional[str] = Field(None, max_length=10)
    DOLARES: Optional[str] = None
    CLAVEMONEDA: Optional[str] = Field(None, max_length=3)
    CLAVEUM: Optional[str] = Field(None, max_length=2)
    PORCENTAJE: Optional[str] = None
    DESCRIPCIONDOLARES: Optional[str] = Field(None, max_length=50)
    NOTAS: Optional[str] = None
    ESTATUS: Optional[str] = Field(None, max_length=19)
    NUMERORESOLUCION: Optional[int] = None
    RESOLUCION: Optional[str] = Field(None, max_length=150)
    NICO: Optional[str] = Field("", max_length=2)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
